New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Error in installation for CentOS #12

Closed
ghost opened this Issue Sep 30, 2014 · 3 comments

Comments

Projects
None yet
2 participants
@ghost
Copy link

ghost commented Sep 30, 2014

Hi there,

I would be very grateful if you provide me with following situation.
Tried install it on CentOS 6.5 with latest update.
Did git clone and make.
Got an error:

[root@test tlsinterposer]# make
cc -g -Wall -O2 -fPIC -shared -o libtlsinterposer.so tlsinterposer.c -ldl
tlsinterposer.c:85: error: ‘DEFAULT_SSLLIB’ undeclared here (not in a function)
make: *** [libtlsinterposer.so] Error 1

Regards,
Eugene

@ghost

This comment has been minimized.

Copy link

ghost commented Oct 2, 2014

I found cause - this application works only with old versions software of openssl, mod_ssl etc,
Need check\fix Makefile...
I have stopped it, because of many errors here...

@robertpenz

This comment has been minimized.

Copy link

robertpenz commented Nov 1, 2014

This part is easily "fixed" in an workaround:

# diff Makefile.orig Makefile
32c32
<       ldconfig -p | sed -n -e 's/^\t*\(libssl\.so\.[0-9]\.[0-9]\.[0-9]\).*/#define DEFAULT_SSLLIB "\1"/p' > $@
---
>       ldconfig -p | sed -n -e 's/^\t*\(libssl\.so\.[0-9][0-9]\).*/#define DEFAULT_SSLLIB "\1"/p' > $@

delete ssl-version.h and call make again and it works

@MarcelWaldvogel

This comment has been minimized.

Copy link
Contributor

MarcelWaldvogel commented Nov 5, 2014

Robert,

Thanks! I made the parsing more generic, such that it continues to work on Debian/Ubuntu.

Fixed in f205212

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment